## org.bn.compiler.parser.model
Class AsnNamedNumber

    java.lang.Object
      org.bn.compiler.parser.model.AsnNamedNumber

    public class AsnNamedNumber

extends java.lang.Object

Field Summary
`AsnDefinedValue` `definedValue`
`boolean` `isSignedNumber`
`java.lang.String` `name`
`AsnSignedNumber` `signedNumber`

Constructor Summary
`AsnNamedNumber()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### definedValue

    public AsnDefinedValue definedValue

### isSignedNumber

    public boolean isSignedNumber

### name

    public java.lang.String name

### signedNumber

    public AsnSignedNumber signedNumber

Constructor Detail

### AsnNamedNumber

    public AsnNamedNumber()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`